import React, {useState, useEffect} from 'react';
import { csv } from 'd3';


const csvUrl="https://gist.githubusercontent.com/DragonEnergy/cb77db1c986c11abf6952594c3b78d72/raw/287bf8a9e265c960519ea36b1619b873691735c9/RDG2018-dates.csv";

export const useData = () => {

  const [data, setData] = useState(null);
	if(data){
  	console.log('Migrant Data Row 1', data[0]);
  }
  useEffect(() => {
    const row = d => {
      d['Month'] = new Date(d['Month']);
      d['Zona'] = +d['Zona'];
      d['WasteKgs'] = +d['WasteKgs'];
      return d;
    };
    
    csv(csvUrl, row).then(setData)
  }, []);
  
     console.log('Data:' , data); 

  return data
}
